/*
# -- BEGIN LICENSE BLOCK ----------------------------------
#
# This file is part of SyntaxHighlightJS, a plugin for Dotclear 2.
# 
# Copyright (c) 2011 Nicolas Sebastien Pierre-Olivier GEORGES
# http://www.nicolas.georges.fr.free.fr/
# xlat@cpan.org
#
# Licensed under the Artistic License.
# A copy of this license is available in Artistic.txt file or at
# http://dev.perl.org/licenses/artistic.html
#
# -- END LICENSE BLOCK ------------------------------------
*/
function shjssw_loadStyle(stylepath){
  var oLink = document.createElement('link');
  oLink.setAttribute('href', stylepath);
  oLink.setAttribute('rel', 'stylesheet');
  oLink.setAttribute('type', 'text/css');
  document.getElementsByTagName('head')[0].appendChild(oLink);
}

function shjssw_switchStyle(prefix,ext,select) {
  var value = select.options[select.selectedIndex].innerHTML;
  stylepath = prefix + 'sh_' + value + ext;
  //~ alert( "shjssw_switchStyle : stylepath = '"+stylepath+"'" );
  var styleexist = false;
  select.disabled = true;
  for(link in document.getElementsByTagName('link')){
	  if(link.href && link.href.substring(0, prefix.length)==prefix ){
		  if(link.href == stylepath){
			  link.disabled = false;
			  styleexist = true;
		  }
		  else{
			  link.disabled = true;
		  }
	  }
  }
  if (!styleexist) {
    shjssw_loadStyle(stylepath);
  }
  select.disabled = false;
  createCookie('shjs_lastused', value, 250);
}

function shjs_switchWrap(thisParent){
	var el = thisParent.nextElementSibling;
	el.style.wordWrap=el.style.wordWrap=='normal'?'break-word':'normal';
	return false;
}

function shjs_switchLineNr(thisParent){
	var el = thisParent.nextElementSibling.firstChild;
	el.style.listStyleType=el.style.listStyleType=='none'?'decimal':'none'; 
	return false;
}

function shjs_copy(thisElement,zeroClipboardPath){
	var elText = thisElement.parentElement.nextElementSibling.innerText;
	$(thisElement).zclip({
       path: zeroClipboardPath,
       copy: elText,
		afterCopy: function(){ /* no alert :-)*/}
    });
	return false;
}

function createCookie(name,value,days) {
	if (days) {
		var date = new Date();
		date.setTime(date.getTime()+(days*24*60*60*1000));
		var expires = "; expires="+date.toGMTString();
	}
	else var expires = "";
	document.cookie = name+"="+value+expires+"; path=/";
}

function readCookie(name) {
	var nameEQ = name + "=";
	var ca = document.cookie.split(';');
	for(var i=0;i < ca.length;i++) {
		var c = ca[i];
		while (c.charAt(0)==' ') c = c.substring(1,c.length);
		if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
	}
	return null;
}

function eraseCookie(name) {
	createCookie(name,"",-1);
}